<?php 
// require('../cfg/res.php');

include('../_cfg/config.php');

$tabla='comp';

if(isset($_POST['docu']) && !empty($_POST['docu']))
{
   $sql_docu='select * from docu0 where docu_codigo like "'.$_POST['docu'].'"';
   $res_docu=mysql_query($sql_docu,$link_vcrx);
   $tabla=mysql_result($res_docu,0,'docu_tabla');
}

$provu_sql='update '.$tabla.'2 set ';

if(isset($_POST['item']) && !empty($_POST['item']))
{$provu_sql.=' item="'.$_POST['item'].'",';}

if(isset($_POST['cair']) && !empty($_POST['cair']))
{$provu_sql.=' cair="'.$_POST['cair'].'",';}

if(isset($_POST['ctas']) && !empty($_POST['ctas']))
{
  $provu_sql.=' ctas="'.$_POST['ctas'].'",';
//   $docu=r_fiel('comp1',$_POST['idnum'],'docu');
   $sql_docu='select * from '.$tabla.'1 where idnum1 = "'.$_POST['idnum'].'"';
   $res_docu=mysql_query($sql_docu,$link_vcrx);
   $docu=mysql_result($res_docu,0,'idnum1');
   
}

$provu_sql.=' cant=cant ';
$provu_sql.=' where idnum2="'.$_POST['idnum'].'" and  iddet="'.$_POST['iddet'].'"';

// echo $provu_sql;

if(mysql_query($provu_sql,$link_vcrx))
{echo 'OK '.date("H:i:s");}
else
{
  echo 'X NO se actualizo X';
// echo mysql_error($link_vcrx);
}

if($docu!=""){@gen_contab($docu,$_POST['idnum']);}


?>